﻿//Configuration settings for Instant ViewDistance v2.2


// define value for Instant ViewDistance - FirstStart 
// (Your VD and TD (Terrain Detail) will be set to this value when you spawn in Mission without needing to bring up the IVD - GUI)
#define IVD_Startup_VD 1200
#define IVD_Startup_TD 12.5

// define ViewDistance value for Button 1
// (VD will be set to this value when you push Button 1 in the IVD GUI)
IVD_Button1_value = 2000;

// define ViewDistance value for Button 2
// (VD will be set to this value when you push Button 2 in the IVD GUI)
IVD_Button2_value = 4000;

// define ViewDistance value for Button 3
// (VD will be set to this value when you push Button 3 in the IVD GUI)
IVD_Button3_value = 6000;

// define Terraindetail value for Button Terraindetail Low
// (TD will be set to this value when you push Button Low in the IVD GUI)
IVD_TerrainLow_value = 50;

// define Terraindetail value for Button Terraindetail Middle
// (TD will be set to this value when you push Button Middle in the IVD GUI)
IVD_TerrainMiddle_value = 12.5;

// define Terraindetail value for Button Terraindetail High
// (TD will be set to this value when you push Button High in the IVD GUI)
IVD_TerrainHigh_value = 3.125;

/* 
Some Terraindetail - values:

100		extreme low detail, lowest detected working value by testing
50 		very low detail, no grass, corresponds to "Very Low" setting
25 		default in multiplayer, corresponds to "Low" setting
12.5 	default in singleplayer, corresponds to "Normal" setting
6.25	corresponds to "high" setting
3.125	very high detail, corresponds to "very high" setting
0.1		ultra high detail, hardly noticeable difference to "very high" by eye, but high performance impact
0		0 is recognized as 6.25 "high" setting
*/